From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tabulate/
Date: Mon, 23 May 2022 09:20:13 +0000 (UTC) [thread overview]
Message-ID: <1653297609.47f635b3de9132d45df3af19969bdd31361e87bd.mgorny@gentoo> (raw)
commit: 47f635b3de9132d45df3af19969bdd31361e87bd
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 23 09:16:14 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 23 09:20:09 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47f635b3
dev-python/tabulate: Use PEP517 build
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/tabulate/Manifest | 1 +
dev-python/tabulate/tabulate-0.8.9-r1.ebuild | 56 ++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/tabulate/Manifest b/dev-python/tabulate/Manifest
index 5827c1aa41c3..20a87b21dcf0 100644
--- a/dev-python/tabulate/Manifest
+++ b/dev-python/tabulate/Manifest
@@ -1 +1,2 @@
+DIST python-tabulate-0.8.9.gh.tar.gz 42562 BLAKE2B 6e6e1017379d07d5ede0cdfb6a8e3142f60656fd5d5b409c1259239e62637824c3bab0bb0f6b03f8733a24e9e3ac074a80a56d44939a8c6eeab8e9a830ae8277 SHA512 68a4d194068f692b57b2cca0fa42a58ba571b46adaef7f8b1a8cea7e34c78ea0a1c523286c3f1df631897cc60ad39ef6b11bfee61d46c04e2de1fb9ec0b497dd
DIST tabulate-0.8.9.tar.gz 42562 BLAKE2B 6e6e1017379d07d5ede0cdfb6a8e3142f60656fd5d5b409c1259239e62637824c3bab0bb0f6b03f8733a24e9e3ac074a80a56d44939a8c6eeab8e9a830ae8277 SHA512 68a4d194068f692b57b2cca0fa42a58ba571b46adaef7f8b1a8cea7e34c78ea0a1c523286c3f1df631897cc60ad39ef6b11bfee61d46c04e2de1fb9ec0b497dd
diff --git a/dev-python/tabulate/tabulate-0.8.9-r1.ebuild b/dev-python/tabulate/tabulate-0.8.9-r1.ebuild
new file mode 100644
index 000000000000..9086aec4df76
--- /dev/null
+++ b/dev-python/tabulate/tabulate-0.8.9-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Pretty-print tabular data"
+HOMEPAGE="
+ https://github.com/astanin/python-tabulate/
+ https://pypi.org/project/tabulate/
+"
+SRC_URI="
+ https://github.com/astanin/python-${PN}/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep 'sqlite')
+ dev-python/colorclass[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' 'python3*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/test_input.py::test_pandas
+ test/test_input.py::test_pandas_firstrow
+ test/test_input.py::test_pandas_keys
+ test/test_output.py::test_pandas_with_index
+ test/test_output.py::test_pandas_without_index
+ test/test_output.py::test_pandas_rst_with_index
+ test/test_output.py::test_pandas_rst_with_named_index
+ )
+ fi
+ epytest
+}
next reply other threads:[~2022-05-23 9:20 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-23 9:20 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-06 9:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/tabulate/ Arthur Zamarin
2024-05-19 11:47 Michał Górny
2024-05-19 11:47 Michał Górny
2023-11-10 5:47 Viorel Munteanu
2023-10-28 15:23 Michał Górny
2023-09-28 4:43 Michał Górny
2023-09-28 4:43 Michał Górny
2023-05-06 9:58 Arthur Zamarin
2023-05-01 7:16 Arthur Zamarin
2023-05-01 7:16 Arthur Zamarin
2023-04-23 22:12 Sam James
2023-04-22 19:44 Sam James
2023-04-22 16:44 Arthur Zamarin
2023-04-14 22:30 Sam James
2023-04-14 21:02 Sam James
2023-04-14 20:43 Sam James
2023-04-14 20:25 Sam James
2023-04-14 20:07 Sam James
2023-03-11 6:37 Yixun Lan
2023-02-28 19:09 Sam James
2022-11-09 6:12 Michał Górny
2022-11-08 23:16 Sam James
2022-10-07 7:03 Michał Górny
2022-07-24 20:29 Michał Górny
2022-07-24 19:13 Sam James
2022-06-23 8:17 Michał Górny
2022-06-22 18:37 Sam James
2022-06-22 8:05 Michał Górny
2022-05-23 9:20 Michał Górny
2021-05-23 9:29 Michał Górny
2021-03-25 19:09 Michał Górny
2021-03-25 16:19 Agostino Sarubbo
2021-02-22 7:55 Michał Górny
2020-09-18 15:53 Michał Górny
2020-09-08 19:11 Michał Górny
2020-07-30 6:03 Michał Górny
2020-07-30 6:03 Michał Górny
2020-05-30 17:52 Matthew Thode
2020-05-16 21:21 Matthew Thode
2020-03-29 10:13 Michał Górny
2020-03-16 18:55 Michał Górny
2020-01-16 6:05 Michał Górny
2019-07-07 13:10 Michał Górny
2019-07-07 11:49 Michał Górny
2017-11-07 19:03 Zac Medico
2017-05-11 13:28 Manuel Rüger
2016-12-05 22:57 Patrice Clement
2016-10-08 16:09 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1653297609.47f635b3de9132d45df3af19969bdd31361e87bd.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox